//
// C++ Implementation: me_signal
//
// Description: 
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "me_signal.h"
#include "signal_manager.h"
void Signal::add_params(int64_t value)
{
    _params_.int_args.push_back( value );
}
void Signal::add_params(float value)
{
    _params_.float_args.push_back( value );
}
void Signal::add_params(std::string value)
{
    _params_.string_args.push_back( value );
}

std::string Signal::get_name()
{ 
    return _signal_name_;
}
        
bool Signal::rise()
{
    return rise_signal(_signal_name_, &_params_);
}
void Signal::set_name(const SignalName &signal_name)
{
    _signal_name_ = signal_name;
}

void Signal::clear_params()
{
    _params_.int_args.clear();
    _params_.float_args.clear();
    _params_.string_args.clear();
}
